@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.webhooks.rotateWorkspaceWebhookSecret({
id: "id"
});
console.log(response);curl --request POST \
--url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/rotate-secret \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/rotate-secret"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"new_secret": "<string>",
"grace_period_hours": 123,
"warning": "<string>"
}Webhooks
Rotate Workspace Webhook Secret
Generates a new webhook signing secret for a workspace. The old secret remains valid for 7 days.
POST
/
workspaces
/
{id}
/
webhooks
/
rotate-secret
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.webhooks.rotateWorkspaceWebhookSecret({
id: "id"
});
console.log(response);Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Workspace ID
Response
Secret rotated successfully
Was this page helpful?
⌘I